import request from '@/utils/request'

export function getIntroduction() {
  return request({
    url: '/homepage/introduction',
    method: 'get'
  })
}

export function getIntroductionById(introId) {
  return request({
    url: '/homepage/introduction/' + introId,
    method: 'get'
  })
}

export function addIntroduction(data) {
  return request({
    url: '/homepage/introduction',
    method: 'post',
    data: data
  })
}

export function updateIntroduction(data) {
  return request({
    url: '/homepage/introduction',
    method: 'put',
    data: data
  })
}

export function delIntroduction(introId) {
  return request({
    url: '/homepage/introduction/' + introId,
    method: 'delete'
  })
}
